WordPress.org

Ready to get started?Download WordPress

Forums

Eve Killboard Plugin
[resolved] Error on activation (7 posts)

  1. H.-Peter Pfeufer
    Member
    Posted 2 years ago #

    Get the following message on pluginactivation:

    Parse error: syntax error, unexpected ';', expecting T_FUNCTION in /wp-content/plugins/eve-killboard/eve-killboard.php on line 864

    http://wordpress.org/extend/plugins/eve-killboard/

  2. Zaine
    Member
    Plugin Author

    Posted 2 years ago #

    aagh. I've seen a couple of people report this and I've been entirely unable to debug it.

    What version of wordpress, php, apache etc are you using? Are you codey enough to help me debug it so I can pin down the problem?

  3. H.-Peter Pfeufer
    Member
    Posted 2 years ago #

    Hi,

    Using WordPress 3.3.1 and 3.4-alpha-19704, PHP 5.3.9 and Aapche 2.2.21-r1.
    If I have enough time, I can take a look over your code, but I cannot promise.

  4. Zaine
    Member
    Plugin Author

    Posted 2 years ago #

    Could you go into the edit plugin screen in WordPress and email me the code you see?

    http://www.yourdomain/wp-admin/plugin-editor.php?file=eve-killboard/eve-killboard.php

    email to zaine AT innsmouthenterprises.com

  5. H.-Peter Pfeufer
    Member
    Posted 2 years ago #

    I don't know what it helps to mail you your own code, but you have a mail ...

  6. Zaine
    Member
    Plugin Author

    Posted 2 years ago #

    Looks like the 5.3+ version of PHP have changed the ini location for enabling php shorttags.

    There is a stray <? in the middle of the file. If you find it and change it to <?php it works!

    I'll push out a fix tonight.

  7. Zaine
    Member
    Plugin Author

    Posted 2 years ago #

    Committed v1.2.1 which fixes this issue.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic